## com.baidubce.services.media.model
Class DeletePresetRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.DeletePresetRequest

    public class DeletePresetRequest

extends AbstractBceRequest

Constructor Summary
`DeletePresetRequest()`

Method Summary
`String` `getPresetName()`
`void` `setPresetName(String presetName)`
`DeletePresetRequest` `withPresetName(String presetName)`
`DeletePresetRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeletePresetRequest

    public DeletePresetRequest()

Method Detail

### getPresetName

    public String getPresetName()

### setPresetName

    public void setPresetName(String presetName)

### withPresetName

    public DeletePresetRequest withPresetName(String presetName)

### withRequestCredentials

    public DeletePresetRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.